package no.valg.valgnatt.database.forberedvalg.konvertering;

import org.junit.Test;

import static org.junit.Assert.assertTrue;

public class BruddTest {

    @Test
    public void getKommuner_gittDuplikatnøkel_returnererBeggeVerdier() {
        
        Brudd brudd = new Brudd();
        brudd.add(2019, "0701");
        brudd.add(2019, "0702");
        
        assertTrue(brudd.getKommuner(2019).contains("0701"));
        assertTrue(brudd.getKommuner(2019).contains("0702"));
    }

    @Test
    public void getKommuner_gittÅrUtenBrudd_returnererTomtSett() {
        Brudd brudd = new Brudd();
        assertTrue(brudd.getKommuner(2017).isEmpty());
    }
}
